Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 4.0.0SynchronousAuth Required

QuerySlbOffering

QuerySlbOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • managementNetworkUuidStringRequired

      The management network UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • imageUuidStringRequired

      The image UUID.

    • uuidStringRequired

      The record UUID.

    • nameStringRequired

      The name of the SLB offering.

    • descriptionStringRequired

      The detailed description of the SLB offering.

    • cpuNumIntegerRequired

      No description provided.

    • cpuSpeedIntegerRequired

      No description provided.

    • memorySizeLongRequired

      内存大小。

    • typeStringRequired

      类型。

    • allocatorStrategyStringRequired

      No description provided.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The time when the SLB offering was created.

    • lastOpDateTimestampRequired

      The time when the SLB offering was last modified.

    • stateStringRequired

      当前状态。

Endpoint

GET/zstack/v1/instance-offerings/slb

/zstack/v1/instance-offerings/slb

Operation ID

QuerySlbOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/instance-offerings/slb' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "managementNetworkUuid": "fdd51745e9ee3a4cb5bca03cf021c22f", "zoneUuid": "305d0c8b5c5a3edd81a641911126c332", "imageUuid": "b2f980076c3e3e6f8e9f3d4fd22bb7fb", "name": "SLB-Offering", "cpuNum": 2.0, "cpuSpeed": 1.0, "memorySize": 1024.0, "type": "SLB" } ] }

Change History

This API has no change history records yet.

View all change history